Skip to main content
GET
List git hub installation repositories

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

installationId
string
required

installationId from the corresponding authorized response.

Response

{repositories:GitHubRepositoryResponse[],total_count:integer,next_page:integer|null}.

repositories
object[]
required
total_count
integer
required
next_page
integer | null
required